commit:     49379b99eb646946f88437cdb56f30644e164516
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Thu Jan 21 09:40:29 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Feb  2 12:29:18 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49379b99

app-emulation/punes: update to 0.107

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-emulation/punes/Manifest                       |  1 +
 .../punes/files/punes-0.107_ffmpeg-configure.patch | 27 +++++++++
 app-emulation/punes/punes-0.107.ebuild             | 64 ++++++++++++++++++++++
 3 files changed, 92 insertions(+)

diff --git a/app-emulation/punes/Manifest b/app-emulation/punes/Manifest
index 44c8a05db29..a7985c2b638 100644
--- a/app-emulation/punes/Manifest
+++ b/app-emulation/punes/Manifest
@@ -1 +1,2 @@
 DIST punes-0.106.tar.gz 5595484 BLAKE2B 
aa3bb5c869e679b19829a3d1de970517d6d626e0ed2404a9ed09d16af8fabb1ee3258ec8fbb4027fb6b70b5449b2bb7ac6880f43c3ba846687c65d8a0eeaf3f2
 SHA512 
f35c5cee05464cb11f130938cf7aa519d4dea35dbf52ce3606c3c6bb2596bc59b75e11816a5b44c7b1c9d402a299b4db49727087b4c93c3cb2ba473adfdd4fa2
+DIST punes-0.107.tar.gz 44024138 BLAKE2B 
048df5bc9b019bafcd4eec75dc027de7cde9f8aa0d484ef96e5c41b091ba55c13b84ef7c7c36987b53206b1b7027758534479d0cc9fde63d89a48092c3f9d26d
 SHA512 
eb3b7aa1c18765402e1e57e23dd4b019255320b795c0f578a4d5ae9f4e0c163613da07280e2a5abed80b9ba90e74c80b53b5fdd80e405103f0063ca55d0ee7bd

diff --git a/app-emulation/punes/files/punes-0.107_ffmpeg-configure.patch 
b/app-emulation/punes/files/punes-0.107_ffmpeg-configure.patch
new file mode 100644
index 00000000000..fd70e0d49ef
--- /dev/null
+++ b/app-emulation/punes/files/punes-0.107_ffmpeg-configure.patch
@@ -0,0 +1,27 @@
+From 241b71fdacad10ad1e790e5a4e380ea1ffbe8a93 Mon Sep 17 00:00:00 2001
+From: "Azamat H. Hackimov" <[email protected]>
+Date: Thu, 21 Jan 2021 12:32:31 +0300
+Subject: [PATCH] Fix ffmpeg configure switch option
+
+autoconf's --with-PACKAGE/--without-PACKAGE requires $withval, not
+$enableval.
+---
+ configure.ac | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index fd9e0365..f63d50ea 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -38,7 +38,7 @@ AC_ARG_WITH([ffmpeg],
+       AS_HELP_STRING([--with-ffmpeg],
+               [Build with support for FFmpeg [autodetect] @<:@default: 
yes@:>@]
+       ),
+-      [with_ffmpeg=$enableval], [with_ffmpeg=yes])
++      [with_ffmpeg=$withval], [with_ffmpeg=yes])
+ 
+ AC_ARG_ENABLE([release],
+       AS_HELP_STRING([--disable-release],
+-- 
+2.26.2
+

diff --git a/app-emulation/punes/punes-0.107.ebuild 
b/app-emulation/punes/punes-0.107.ebuild
new file mode 100644
index 00000000000..db719a74f5f
--- /dev/null
+++ b/app-emulation/punes/punes-0.107.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools xdg-utils
+
+DESCRIPTION="Nintendo Entertainment System (NES) emulator"
+HOMEPAGE="https://github.com/punesemu/puNES";
+SRC_URI="https://github.com/punesemu/puNES/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cg ffmpeg"
+
+RDEPEND="
+       ffmpeg? ( media-video/ffmpeg:= )
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtsvg:5
+       dev-qt/qtwidgets:5
+       media-libs/alsa-lib
+       virtual/glu
+       virtual/opengl"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       cg? ( media-gfx/nvidia-cg-toolkit )
+       dev-qt/linguist-tools:5
+       virtual/pkgconfig"
+
+S="${WORKDIR}/puNES-${PV}"
+
+PATCHES=(
+       "${FILESDIR}/${P}_ffmpeg-configure.patch"
+)
+
+src_prepare() {
+       default
+
+       sed -i "/update-desktop-database/d" misc/Makefile.am || die
+       eautoreconf
+       # FIXME why eautoreconf can't handle this?
+       cd "src/extra/lib7zip-1.6.5" || die
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_with cg opengl-nvidia-cg) \
+               $(use_with ffmpeg)
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+}

Reply via email to